brcontent 2.0.0 copy "brcontent: ^2.0.0" to clipboard
brcontent: ^2.0.0 copied to clipboard

Bloomreach Content Flutter SDK - Features a Dart Page Delivery API Client

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add brcontent

With Flutter:

 $ flutter pub add brcontent

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):

dependencies:
  brcontent: ^2.0.0

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:brcontent/api.dart';
import 'package:brcontent/api/page_api.dart';
import 'package:brcontent/api_client.dart';
import 'package:brcontent/api_exception.dart';
import 'package:brcontent/api_helper.dart';
import 'package:brcontent/model/abstract_component.dart';
import 'package:brcontent/model/channel.dart';
import 'package:brcontent/model/channel_info.dart';
import 'package:brcontent/model/component.dart';
import 'package:brcontent/model/component_content.dart';
import 'package:brcontent/model/component_meta.dart';
import 'package:brcontent/model/container.dart';
import 'package:brcontent/model/container_item.dart';
import 'package:brcontent/model/data.dart';
import 'package:brcontent/model/document.dart';
import 'package:brcontent/model/element.dart';
import 'package:brcontent/model/elements.dart';
import 'package:brcontent/model/image.dart';
import 'package:brcontent/model/image_data.dart';
import 'package:brcontent/model/imageset.dart';
import 'package:brcontent/model/link.dart';
import 'package:brcontent/model/links.dart';
import 'package:brcontent/model/menu.dart';
import 'package:brcontent/model/menu_data.dart';
import 'package:brcontent/model/menu_item.dart';
import 'package:brcontent/model/page.dart';
import 'package:brcontent/model/page_meta.dart';
import 'package:brcontent/model/pagination.dart';
import 'package:brcontent/model/pagination_page.dart';
import 'package:brcontent/model/pointer.dart';
2
likes
130
pub points
18%
popularity

Publisher

verified publisherpub.bloomreach.works

Bloomreach Content Flutter SDK - Features a Dart Page Delivery API Client

Repository (GitHub)
View/report issues

Documentation

API reference

License

Apache-2.0 (LICENSE)

Dependencies

collection, http, intl, meta

More

Packages that depend on brcontent